+++
title = "About Me"
id = "about"
type = "page"
aliases = [
    "/about",
    "/contact",
]
ShowReadingTime = false
ShowToc = false
+++

I'm an Android and Kotlin developer with over 5 years of experience building apps that have scaled up to hundreds of thousands daily active users and design systems for some of the largest startups in India.

### Work

I currently work at [Dyte] as an SDK Tooling engineer, primarily focusing on developer experience for the mobile team.

You can find the latest version of [my resume here].

### Projects

A few ideas that I've gone ahead and built in my spare time. You can support them if you like by [donating here].

- [Android Password Store]: A password manager for Android aiming to be fully compatible with the [pass] format.
- [Claw]: A read-only Android client for [lobste.rs], written entirely in [Jetpack Compose].
- [healthchecks-rs]: A Rust library for interacting with [healthchecks.io] and a couple CLI tools that utilise it.
- [linkleaner]: Telegram bot to automatically improve link previews.

### Contact

You can find me on [Mastodon], I have a Twitter but I no longer use it for well understood reasons. I'd be happy to write back if you'd like to send me an [email]!

[dyte]: https://dyte.io
[my resume here]: https://msfjarvis.dev/resume.pdf
[donating here]: https://github.com/sponsors/msfjarvis
[android password store]: https://passwordstore.app
[pass]: https://passwordstore.org
[claw]: https://msfjarvis.dev/g/compose-lobsters
[lobste.rs]: https://lobste.rs
[healthchecks-rs]: https://msfjarvis.dev/g/healthchecks-rs
[healthchecks.io]: https://healthchecks.io
[email]: mailto:me@msfjarvis.dev
[mastodon]: https://androiddev.social/@msfjarvis
[github]: https://msfjarvis.dev/g
[jetpack compose]: https://developer.android.com/jetpack/compose/
[linkleaner]: https://github.com/msfjarvis/linkleaner
