+++
categories = ["april-cools"]
date = 2024-04-01
summary = "The history of my Minecraft adventures as told by my screenshots folder"
slug = "a-tour-of-my-screenshots-folder"
tags = ["april-cools", "minecraft"]
title = "A tour of my screenshots folder"
+++

## Preface

> This is a post for the [April Cools Club](https://aprilcools.club) which encourages people to break away from the typical cringiness of April Fools and do things you don't normally do.

To set the stage, every screenshot you will see going forward is gonna be Minecraft. I just love the game and I have had such fun with it for the past 5 years that it feels remiss to not share every so often (which I do these days at [@msfjarvis@mstdn.games](https://mstdn.games/@msfjarvis)). These are gonna be in order from oldest to newest, and I'll try to annotate each screenshot with dates, alt text and the relevant anecdote as I remember them but honestly a bunch of this is just goofy shit I happened to capture.

## Just a bridge, really

{{<figure src="starter-base-bridge.webp" alt="A cinematic shot of a tiny wooden bridge spanning two cliff sides on either side of the frame. The bridge has evenly spaced poles on either side of it with a shroomlight to illuminate the entire thing. The scene is set in the night time and the Aurora Borealis is visible in the background." title="Date taken: August 2, 2022" loading="lazy">}}

This bridge is in a Minecraft world that [Sasikanth](https://sasikanth.dev/me/) and I started in the second half of 2022, and built entirely by him next to our starter base. After Sasi kinda moved on from playing on the server (as Minecraft players inevitably do, myself included) I copied the world and started using it as my singleplayer world and I still play on it to this day.

## An unlikely friendship

{{<figure src="an-unlikely-friendship.webp" alt="A blacksmith villager and a creeper standing right next to each other in the night. The villager is facing the creeper while it looks off into the distance, towards the right side of the camera." title="Date taken: August 13, 2022" loading="lazy">}}

I don't think I really remember where this is from, but if I had to guess it was the village I and Sasikanth discovered and promptly lay ruin to which today happens to be my full time base.

## The start of the storage room

{{<figure src="the-start-of-the-storage-room.webp" alt="An incomplete rectangular arrangement of double chests with item frames on them, with a mess of shulker boxes in between and me standing on top of them" title="Date taken: August 20, 2022" loading="lazy">}}

After commandeering the aforemention village I decided to lay roots next door, and this is basically the start of my storage room. The basic design is still the same but it has like, walls and stuff now.

## I am a dwarf, and I'm digging a hole

{{<figure src="diggy-diggy-hole.webp" alt="A top down shot of my Minecraft character standing next to a one chunk big hole straight down to bedrock" title="Date taken: December 29, 2022" loading="lazy">}}

Honestly not much to say, I was in a bit of a slump with my mental health and decided the best use of my mushy brain was to dig down a whole chunk to eventually build a slime farm.

## Did I drain this Ocean Monument or did it drain me?

{{<figure src="draining-ocean-monument-part-1.webp" alt="Cinematic night time shot of my character standing on a wall of sand on the close left side of the screen while an Ocean Monument takes up the rest of the bottom half" title="Date taken: February 27, 2023" loading="lazy" >}}

I didn't play much for a month or two so I decided to pick up a somewhat involved project to get me back in the swing of things, which happened to be a Guardian farm for the prismarine family of blocks. I'll let the other screenshots paint the picture, but suffice to say I had under-estimated the scope of this 😬

{{<figure src="draining-ocean-monument-part-2.webp" alt="Overhead world map shot of the Ocean monument with approximately 30% of it drained. There is a perimeter of sand around it as well as some evenly spaced walls running across the screen to section off slices to be drained." title="Date taken: March 7, 2023" loading="lazy" >}}
{{<figure src="draining-ocean-monument-part-3.webp" alt="The same setup described before but with about 55% of the structure drained." title="Date taken: March 12, 2023" loading="lazy" >}}
{{<figure src="draining-ocean-monument-part-4.webp" alt="The entire structure is now drained, with just the sand perimeter remaining around it" title="Date taken: March 15, 2023" loading="lazy" >}}
{{<figure src="draining-ocean-monument-part-5.webp" alt="Me standing on top of one of the sand walls, looking inwards to the now completed Guardian farm. It's comprimised of two glass tanks full of water that funnel guardians into a central chamber where they fall and have their drops collected underground" title="Date taken: March 20, 2023" loading="lazy" >}}

When this was finally done I genuinely used it like 4 times total, turns out I'm not really a prismarine guy so that's a couple weeks I am not getting back.

## Getting real personal with a Warden

{{<figure src="meeting-a-warden.webp" alt="A very close over the shoulder shot of me mere inches from a Warden which is staring right into my soul" title="Date taken: March 12, 2023" loading="lazy">}}

To break up the monotony of placing sand for the Guardian farm I paid a visit to a near by Ancient City and ended up a little too close to a Warden, which did eventually kill me.

## The sea shanty era

{{<figure src="tragic-lovers.webp" alt="Two players in a bamboo raft that is positioned on the bow of a shipwreck which is poking out of water" title="Date taken: June 27, 2023" loading="lazy">}}

I took another couple months off and then set up a small server with a handful of friends to mess around on a fresh world with relative newbies to the game. A lot of chaos ensued, but a large chunk of the time I spent on the server ended up being me and [Yash](https://yashgarg.dev/) just boating across oceans looking for anything mildly interesting while in a voice call with our friends. It was fun times, but as always people's interest dwindled down and I shut the server down a couple weeks later.

## Excavating the Nether

{{<figure src="nether-mining-pre-boom.webp" alt="A map of the Nether at elevation Y=0, showing parallel one block wide tunnels going across chunk borders and filled with unevenly spaced blocks of TNT" title="Date taken: July 11, 2023" loading="lazy">}}

I wanted Ancient Debris for a project and decided to just get a whole load of it at once, which resulted in this set of TNT-filled tunnels. Here's the damage all the TNT did:

{{<figure src="nether-mining-post-boom.webp" alt="The same tunnels from above after all the TNT in them was lit. They are now wider, more jagged and a lot more lava-filled" title="Date taken: July 11, 2023" loading="lazy">}}

## My first Sniffers

{{<figure src="first-sniffers.webp" alt="A fenced off patch of moss with me standing in the middle and one Sniffer egg on each side" title="Date taken: July 12, 2023" loading="lazy">}}

When the Sniffers were added to the game I just had to get them, and obviously then I created a farm for the seeds they "sniff" up.

{{<figure src="sniffer-for-a-sniffer-farm.webp" alt="Elevated shot of a large Sniffer build, the back of it is built with colored glass and you can see some 10 Sniffers inside on a floor of mud blocks" title="Date taken: September 13, 2023" loading="lazy">}}

## The End Ring Project

{{<figure src="incomplete-end-island-ring.webp" alt="Top down shot of the main End island, showing a Prismarine ring going through all the end gateways which are illuminated by Prismarine Lights" title="Date taken: March 28, 2024" loading="lazy">}}

I envisioned a continous ring of Prismarine walkways around all the End gateways to be a cool way to get to them rather than just pillaring up but I biffed the "circle" so many times that it's kinda stalled at the moment. 

## All Trimmed Up

{{<figure src="obtaining-every-armor-trim.webp" alt="A short hallway of Spruce planks showcasing every single Armor Trim as of Minecraft 1.20.4" title="Date taken: March 16, 2024" loading="lazy">}}

I went on a quest to obtain every single armor trim and enough Netherite to create armor to put them on, which in total probably took 20-odd hours including all the Diamond and Ancient Debris mining as well as actually locating all the trims. My Minecraft closet has more variety than my IRL one which feels like cause for concern.

## Bonus randomness

### The Minecraft x FaZe collab

For some reason Minecraft likes to spawn Nether Fossils that look way too much like the [FaZe Clan] logo and I apparently have a bunch of them screenshotted, so here they are:

{{<figure src="fazeup-1.webp" alt="The FaZe Fossil in a soul sand valley" loading="lazy">}}
{{<figure src="fazeup-2.webp" alt="Another FaZe Fossil in a soul sand valley" loading="lazy">}}
{{<figure src="fazeup-3.webp" alt="Yet Another FaZe Fossil in a soul sand valley" loading="lazy">}}
{{<figure src="fazeup-4.webp" alt="Would you believe it? Another FaZe logo in a soul sand valley" loading="lazy">}}
{{<figure src="fazeup-5.webp" alt="To break up the monotony, this FaZe logo was in a 'Quartz Flats' custom biome from the Incendium datapack" loading="lazy">}}

### The impossible portal

{{<figure src="chunk-pruned-portal.webp" alt="A Nether portal with its left side of Obsidian blocks missing but the portal is still intact" title="Date taken: June 12, 2023" loading="lazy">}}

I manually prune unused chunks before Minecraft updates in order to let them regenerate with the updated terrain and accidentally sliced off this portal as it happened to be on a chunk boundary. It's all the way back at my starter base so it does not see much use, but it's there.


## The end...?

I don't know why I picked this to do of all the things I could have for April Cools. However, reliving all the memories of fun times I had with my friends and even by myself were worth the pain it was to go through 800 odd screenshots and find moderately interesting things :)

Hopefully I have something cooler for next year and that I actually give myself more than 4 hours to write it up.
